Changeset 2910


Ignore:
Timestamp:
Sep 12, 2013 6:03:44 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/configure

    r2885 r2910  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
    1089 
    10901089  --enable-static[=PKGS]
    10911090                          build static libraries [default=no]
     
    19671966echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19681967  fi
    1969 
    1970 
    1971 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1972 if test "${enable_static_standardlibs+set}" = set; then
    1973   enableval="$enable_static_standardlibs"
    1974   case "$enableval" in
    1975      no | yes | auto ) ;;
    1976      *)
    1977        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1978 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1979    { (exit 1); exit 1; }; } ;;
    1980    esac
    1981    use_static_standardlibs=$enableval
    1982 else
    1983   use_static_standardlibs=no
    1984 fi;
    1985 
    19861968
    19871969
     
    31233105    CFLAGS="$OPT_CFLAGS"
    31243106  fi
    3125 
    31263107else
    31273108  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32923273esac
    32933274
    3294 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3295 if test x$use_static_standardlibs != xno ; then
    3296   case $build in
    3297     *-mingw*)
    3298       static_standardlib_flag=-static
    3299       ;;
    3300     *)
    3301       static_standardlib_flag=-static-libgcc
    3302       ;;
    3303   esac
    3304   case " $LDFLAGS " in
    3305     *" $static_standardlib_flag "* ) ;;
    3306     *)
    3307     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3308 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3309     coin_save_LDFLAGS="$LDFLAGS"
    3310     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3311     cat >conftest.$ac_ext <<_ACEOF
    3312 /* confdefs.h.  */
    3313 _ACEOF
    3314 cat confdefs.h >>conftest.$ac_ext
    3315 cat >>conftest.$ac_ext <<_ACEOF
    3316 /* end confdefs.h.  */
    3317 
    3318 int
    3319 main ()
    3320 {
    3321 int i=0;
    3322   ;
    3323   return 0;
    3324 }
    3325 _ACEOF
    3326 rm -f conftest.$ac_objext conftest$ac_exeext
    3327 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3328   (eval $ac_link) 2>conftest.er1
    3329   ac_status=$?
    3330   grep -v '^ *+' conftest.er1 >conftest.err
    3331   rm -f conftest.er1
    3332   cat conftest.err >&5
    3333   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3334   (exit $ac_status); } &&
    3335          { ac_try='test -z "$ac_c_werror_flag"
    3336                          || test ! -s conftest.err'
    3337   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3338   (eval $ac_try) 2>&5
    3339   ac_status=$?
    3340   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3341   (exit $ac_status); }; } &&
    3342          { ac_try='test -s conftest$ac_exeext'
    3343   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3344   (eval $ac_try) 2>&5
    3345   ac_status=$?
    3346   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3347   (exit $ac_status); }; }; then
    3348   echo "$as_me:$LINENO: result: yes" >&5
    3349 echo "${ECHO_T}yes" >&6
    3350 else
    3351   echo "$as_me: failed program was:" >&5
    3352 sed 's/^/| /' conftest.$ac_ext >&5
    3353 
    3354 echo "$as_me:$LINENO: result: no" >&5
    3355 echo "${ECHO_T}no" >&6
    3356        LDFLAGS="$coin_save_LDFLAGS"
    3357        if test $use_static_standardlibs = yes ; then
    3358          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3359 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3360    { (exit 1); exit 1; }; }
    3361        fi
    3362 
    3363 fi
    3364 rm -f conftest.err conftest.$ac_objext \
    3365       conftest$ac_exeext conftest.$ac_ext
    3366     ;;
    3367   esac
    3368 fi
    3369 
    33703275ac_ext=c
    33713276ac_cpp='$CPP $CPPFLAGS'
     
    33793284
    33803285 #Let's try if that overcomes configuration problem with VC++ 6.0
    3381 
    33823286
    33833287ac_ext=cc
     
    43324236esac
    43334237
    4334 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4335 if test x$use_static_standardlibs != xno ; then
    4336   case $build in
    4337     *-mingw*)
    4338       static_standardlib_flag=-static
    4339       ;;
    4340     *)
    4341       static_standardlib_flag=-static-libstdc++
    4342       ;;
    4343   esac
    4344   case " $LDFLAGS " in
    4345     *" $static_standardlib_flag "* ) ;;
    4346     *)
    4347     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4348 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4349     coin_save_LDFLAGS="$LDFLAGS"
    4350     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4351     cat >conftest.$ac_ext <<_ACEOF
    4352 /* confdefs.h.  */
    4353 _ACEOF
    4354 cat confdefs.h >>conftest.$ac_ext
    4355 cat >>conftest.$ac_ext <<_ACEOF
    4356 /* end confdefs.h.  */
    4357 
    4358 int
    4359 main ()
    4360 {
    4361 int i=0;
    4362   ;
    4363   return 0;
    4364 }
    4365 _ACEOF
    4366 rm -f conftest.$ac_objext conftest$ac_exeext
    4367 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4368   (eval $ac_link) 2>conftest.er1
    4369   ac_status=$?
    4370   grep -v '^ *+' conftest.er1 >conftest.err
    4371   rm -f conftest.er1
    4372   cat conftest.err >&5
    4373   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4374   (exit $ac_status); } &&
    4375          { ac_try='test -z "$ac_cxx_werror_flag"
    4376                          || test ! -s conftest.err'
    4377   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4378   (eval $ac_try) 2>&5
    4379   ac_status=$?
    4380   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4381   (exit $ac_status); }; } &&
    4382          { ac_try='test -s conftest$ac_exeext'
    4383   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4384   (eval $ac_try) 2>&5
    4385   ac_status=$?
    4386   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4387   (exit $ac_status); }; }; then
    4388   echo "$as_me:$LINENO: result: yes" >&5
    4389 echo "${ECHO_T}yes" >&6
    4390 else
    4391   echo "$as_me: failed program was:" >&5
    4392 sed 's/^/| /' conftest.$ac_ext >&5
    4393 
    4394 echo "$as_me:$LINENO: result: no" >&5
    4395 echo "${ECHO_T}no" >&6
    4396        LDFLAGS="$coin_save_LDFLAGS"
    4397        if test $use_static_standardlibs = yes ; then
    4398          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4399 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4400    { (exit 1); exit 1; }; }
    4401        fi
    4402 
    4403 fi
    4404 rm -f conftest.err conftest.$ac_objext \
    4405       conftest$ac_exeext conftest.$ac_ext
    4406     ;;
    4407   esac
    4408 fi
    4409 
    44104238ac_ext=c
    44114239ac_cpp='$CPP $CPPFLAGS'
     
    61766004*-*-irix6*)
    61776005  # Find out which ABI we are using.
    6178   echo '#line 6178 "configure"' > conftest.$ac_ext
     6006  echo '#line 6006 "configure"' > conftest.$ac_ext
    61796007  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61806008  (eval $ac_compile) 2>&5
     
    73107138
    73117139# Provide some information about the compiler.
    7312 echo "$as_me:7312:" \
     7140echo "$as_me:7140:" \
    73137141     "checking for Fortran 77 compiler version" >&5
    73147142ac_compiler=`set X $ac_compile; echo $2`
     
    83778205   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83788206   -e 's:$: $lt_compiler_flag:'`
    8379    (eval echo "\"\$as_me:8379: $lt_compile\"" >&5)
     8207   (eval echo "\"\$as_me:8207: $lt_compile\"" >&5)
    83808208   (eval "$lt_compile" 2>conftest.err)
    83818209   ac_status=$?
    83828210   cat conftest.err >&5
    8383    echo "$as_me:8383: \$? = $ac_status" >&5
     8211   echo "$as_me:8211: \$? = $ac_status" >&5
    83848212   if (exit $ac_status) && test -s "$ac_outfile"; then
    83858213     # The compiler can only warn and ignore the option if not recognized
     
    86458473   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86468474   -e 's:$: $lt_compiler_flag:'`
    8647    (eval echo "\"\$as_me:8647: $lt_compile\"" >&5)
     8475   (eval echo "\"\$as_me:8475: $lt_compile\"" >&5)
    86488476   (eval "$lt_compile" 2>conftest.err)
    86498477   ac_status=$?
    86508478   cat conftest.err >&5
    8651    echo "$as_me:8651: \$? = $ac_status" >&5
     8479   echo "$as_me:8479: \$? = $ac_status" >&5
    86528480   if (exit $ac_status) && test -s "$ac_outfile"; then
    86538481     # The compiler can only warn and ignore the option if not recognized
     
    87498577   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87508578   -e 's:$: $lt_compiler_flag:'`
    8751    (eval echo "\"\$as_me:8751: $lt_compile\"" >&5)
     8579   (eval echo "\"\$as_me:8579: $lt_compile\"" >&5)
    87528580   (eval "$lt_compile" 2>out/conftest.err)
    87538581   ac_status=$?
    87548582   cat out/conftest.err >&5
    8755    echo "$as_me:8755: \$? = $ac_status" >&5
     8583   echo "$as_me:8583: \$? = $ac_status" >&5
    87568584   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87578585   then
     
    1109410922  lt_status=$lt_dlunknown
    1109510923  cat > conftest.$ac_ext <<EOF
    11096 #line 11096 "configure"
     10924#line 10924 "configure"
    1109710925#include "confdefs.h"
    1109810926
     
    1119411022  lt_status=$lt_dlunknown
    1119511023  cat > conftest.$ac_ext <<EOF
    11196 #line 11196 "configure"
     11024#line 11024 "configure"
    1119711025#include "confdefs.h"
    1119811026
     
    1353813366   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1353913367   -e 's:$: $lt_compiler_flag:'`
    13540    (eval echo "\"\$as_me:13540: $lt_compile\"" >&5)
     13368   (eval echo "\"\$as_me:13368: $lt_compile\"" >&5)
    1354113369   (eval "$lt_compile" 2>conftest.err)
    1354213370   ac_status=$?
    1354313371   cat conftest.err >&5
    13544    echo "$as_me:13544: \$? = $ac_status" >&5
     13372   echo "$as_me:13372: \$? = $ac_status" >&5
    1354513373   if (exit $ac_status) && test -s "$ac_outfile"; then
    1354613374     # The compiler can only warn and ignore the option if not recognized
     
    1364213470   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1364313471   -e 's:$: $lt_compiler_flag:'`
    13644    (eval echo "\"\$as_me:13644: $lt_compile\"" >&5)
     13472   (eval echo "\"\$as_me:13472: $lt_compile\"" >&5)
    1364513473   (eval "$lt_compile" 2>out/conftest.err)
    1364613474   ac_status=$?
    1364713475   cat out/conftest.err >&5
    13648    echo "$as_me:13648: \$? = $ac_status" >&5
     13476   echo "$as_me:13476: \$? = $ac_status" >&5
    1364913477   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1365013478   then
     
    1521215040   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521315041   -e 's:$: $lt_compiler_flag:'`
    15214    (eval echo "\"\$as_me:15214: $lt_compile\"" >&5)
     15042   (eval echo "\"\$as_me:15042: $lt_compile\"" >&5)
    1521515043   (eval "$lt_compile" 2>conftest.err)
    1521615044   ac_status=$?
    1521715045   cat conftest.err >&5
    15218    echo "$as_me:15218: \$? = $ac_status" >&5
     15046   echo "$as_me:15046: \$? = $ac_status" >&5
    1521915047   if (exit $ac_status) && test -s "$ac_outfile"; then
    1522015048     # The compiler can only warn and ignore the option if not recognized
     
    1531615144   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1531715145   -e 's:$: $lt_compiler_flag:'`
    15318    (eval echo "\"\$as_me:15318: $lt_compile\"" >&5)
     15146   (eval echo "\"\$as_me:15146: $lt_compile\"" >&5)
    1531915147   (eval "$lt_compile" 2>out/conftest.err)
    1532015148   ac_status=$?
    1532115149   cat out/conftest.err >&5
    15322    echo "$as_me:15322: \$? = $ac_status" >&5
     15150   echo "$as_me:15150: \$? = $ac_status" >&5
    1532315151   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1532415152   then
     
    1752317351   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752417352   -e 's:$: $lt_compiler_flag:'`
    17525    (eval echo "\"\$as_me:17525: $lt_compile\"" >&5)
     17353   (eval echo "\"\$as_me:17353: $lt_compile\"" >&5)
    1752617354   (eval "$lt_compile" 2>conftest.err)
    1752717355   ac_status=$?
    1752817356   cat conftest.err >&5
    17529    echo "$as_me:17529: \$? = $ac_status" >&5
     17357   echo "$as_me:17357: \$? = $ac_status" >&5
    1753017358   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753117359     # The compiler can only warn and ignore the option if not recognized
     
    1779117619   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779217620   -e 's:$: $lt_compiler_flag:'`
    17793    (eval echo "\"\$as_me:17793: $lt_compile\"" >&5)
     17621   (eval echo "\"\$as_me:17621: $lt_compile\"" >&5)
    1779417622   (eval "$lt_compile" 2>conftest.err)
    1779517623   ac_status=$?
    1779617624   cat conftest.err >&5
    17797    echo "$as_me:17797: \$? = $ac_status" >&5
     17625   echo "$as_me:17625: \$? = $ac_status" >&5
    1779817626   if (exit $ac_status) && test -s "$ac_outfile"; then
    1779917627     # The compiler can only warn and ignore the option if not recognized
     
    1789517723   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1789617724   -e 's:$: $lt_compiler_flag:'`
    17897    (eval echo "\"\$as_me:17897: $lt_compile\"" >&5)
     17725   (eval echo "\"\$as_me:17725: $lt_compile\"" >&5)
    1789817726   (eval "$lt_compile" 2>out/conftest.err)
    1789917727   ac_status=$?
    1790017728   cat out/conftest.err >&5
    17901    echo "$as_me:17901: \$? = $ac_status" >&5
     17729   echo "$as_me:17729: \$? = $ac_status" >&5
    1790217730   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1790317731   then
Note: See TracChangeset for help on using the changeset viewer.